> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List GPU flavors

> Retrieve a list of flavors available for GPU clusters.
Please use the `/v3/gpu/baremetal/{project_id}/{region_id}/flavors` endpoint instead.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/ai/flavors/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/ai/flavors/{project_id}/{region_id}:
    get:
      tags:
        - GPU Bare Metal
      summary: List GPU flavors
      description: >-
        Retrieve a list of flavors available for GPU clusters.

        Please use the `/v3/gpu/baremetal/{project_id}/{region_id}/flavors`
        endpoint instead.
      operationId: AIFlavorsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: query
          name: disabled
          required: false
          description: Flag for filtering disabled flavors in the region
          schema:
            type: boolean
        - in: query
          name: include_capacity
          required: false
          description: >-
            Set to true to see the number of available AI Infrastructure
            clusters of given configuration
          schema:
            type: boolean
        - in: query
          name: include_prices
          required: false
          description: Set to true if flavor listing should include flavor prices
          schema:
            type: boolean
      responses:
        '200':
          description: List of available flavors
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AIClusterFlavorWithPriceCollectionSerializer
      deprecated: true
components:
  schemas:
    AIClusterFlavorWithPriceCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/AIClusterFlavorWithPriceSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: AIClusterFlavorWithPriceCollectionSerializer
      type: object
    AIClusterFlavorWithPriceSerializer:
      properties:
        capacity:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Number of available instances of given configuration
          examples:
            - 10
          title: Capacity
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Currency code. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - USD
          title: Currency Code
        disabled:
          description: Disabled flavor flag
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        flavor_id:
          description: Flavor ID is the same as the name
          example: bm3-ai-1xlarge-h100-80-8
          examples:
            - bm3-ai-1xlarge-h100-80-8
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: bm3-ai-1xlarge-h100-80-8
          examples:
            - bm3-ai-1xlarge-h100-80-8
          title: Flavor Name
          type: string
        hardware_description:
          $ref: '#/components/schemas/FlavorHardwareDescriptionSerializer'
          description: Additional hardware description.
        price_per_hour:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Price per hour. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - 1
          title: Price Per Hour
        price_per_month:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Price per month. Shown if the `include_prices` query parameter if
            set to true
          examples:
            - 720
          title: Price Per Month
        price_status:
          anyOf:
            - $ref: '#/components/schemas/PriceDisplayStatus'
            - type: 'null'
          default: null
          description: Price status for the UI
          examples:
            - show
        resource_class:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Flavor resource class for mapping to hardware capacity
          examples:
            - bm3-ai-1xlarge-h100-80-8
          title: Resource Class
      required:
        - flavor_id
        - flavor_name
        - disabled
        - hardware_description
      title: AI Flavor Object
      type: object
    FlavorHardwareDescriptionSerializer:
      properties:
        cpu:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable CPU description
          examples:
            - 1x Intel Xeon 4C/8T 3.7 GHz
          title: Cpu
        disk:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable disk description
          examples:
            - 2x 250GB SSD
          title: Disk
        ephemeral:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable ephemeral disk description
          examples:
            - 2200GB NVMe (ephemeral)
          title: Ephemeral
        gpu:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable GPU description
          examples:
            - 1x NVIDIA 11GB
          title: Gpu
        network:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable NIC description
          examples:
            - 1x 500Mbps
          title: Network
        ram:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable RAM description
          examples:
            - 32 GB
          title: Ram
      title: FlavorHardwareDescriptionSchema hardware hints for a flavor
      type: object
    PriceDisplayStatus:
      enum:
        - error
        - hide
        - show
      title: PriceDisplayStatus
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````